# DataExchange
TKIGES
IGESGraph

# IGESGraph_HighLight Class Reference

defines IGESHighLight, Type <406> Form <20>
in package IGESGraph

`#include <IGESGraph_HighLight.hxx>`

Inheritance diagram for IGESGraph_HighLight:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGraph_HighLight ()
Standard_EXPORT void | Init (const Standard_Integer nbProps, const Standard_Integer aHighLightStatus)
| This method is used to set the fields of the class HighLight - nbProps : Number of property values (NP = 1) - aHighLightStatus : HighLight Flag .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values in <me>
Standard_EXPORT Standard_Integer | HighLightStatus () const
| returns 0 if <me> is not highlighted(default), 1 if <me> is highlighted
Standard_EXPORT Standard_Boolean | IsHighLighted () const
| returns True if entity is highlighted
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Standard_Integer | theHighLight

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_HighLight::IGESGraph_HighLight | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESGraph_HighLight::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Integer IGESGraph_HighLight::HighLightStatus | ( |  | ) | const

Standard_EXPORT void IGESGraph_HighLight::Init | ( | const Standard_Integer | nbProps,
|  | const Standard_Integer | aHighLightStatus
| ) |

Standard_EXPORT Standard_Boolean IGESGraph_HighLight::IsHighLighted | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESGraph_HighLight::NbPropertyValues | ( |  | ) | const

## Field Documentation

Standard_Integer IGESGraph_HighLight::theHighLight `[private]`

Standard_Integer IGESGraph_HighLight::theNbPropertyValues `[private]`

The documentation for this class was generated from the following file:

- IGESGraph_HighLight.hxx